package cn.superdesk.uniorder.common.enums.lnss;

import java.util.EnumSet;
import java.util.HashMap;
import java.util.Map;

/**
 * @author kite
 * @version 1.0
 * @date 2019/8/10
 */
public enum AppraiseStateEnum {

    NO(0,"未评价"),

    YES(1,"已评价"),

    ;

    private Integer key;
    private String desc;

    AppraiseStateEnum(int key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    public int getKey() {
        return key;
    }

    public String getDesc() {
        return desc;
    }

    public static String getDesc(int key) {
        for (AppraiseStateEnum c : AppraiseStateEnum.values()) {
            if (c.key == key) {
                return c.getDesc();
            }
        }
        return null;
    }

    private static final Map<Integer, AppraiseStateEnum> LOOKUP = new HashMap<>();

    static {
        for(AppraiseStateEnum s : EnumSet.allOf(AppraiseStateEnum.class)) {
            LOOKUP.put(s.getKey(), s);
        }
    }

    /**
     * 方向查找枚举类
     * @param key
     * @return
     */
    public static AppraiseStateEnum get(Integer key) {
        return LOOKUP.get(key);
    }
}
